Loading...
 

Català


Problem actualitzant TikiWiki a 3.2

posts: 4

He actualitzat de 2.2 a 3.2 (última), he fet això a través de Fantastico ja que també ho vaig instalar a través de Fantastico. Ara quan vaig al panel de control hem trobo aquest missatge:

" Database Version Problem
Your database requires an update to match the current TikiWiki version. Please proceed to the installer. Using Tiki with an incorrect database version usually provoke errors. "

Necessito actualizar la base de dades, he esborrat el fitxer "lock" a través d'FTP, i ara vaig a "tiki-install.php" però per alguna raó que no sé aquesta adreça hem redirigeix a "tiki-index.php", necessito trobar el botó d'actualitzar la base de dades peró no sembla que pugui accedir al "tiki-install.php" sempre hem redirigeix a "tiki-index.php"

Algú sap com arreglar això? Gràcies

posts: 1777 Catalan Countries

hola malcarada, i benvinguda a la comunitat de Tikiwiki! :-)
Pel que dius, fa pinta que al teu allotjament web t'han desactivat el tiki-index.php.
Pots comprovar (per ftp) si encara el tens, i si no és així, tornar a pujar-lo (el de la versió 3.2) al teu servidor?

Ja diràs si això resol el problema

(hi ha un "pla B", i un "pla C", però són més lents i laboriosos, que jo sàpiga)


posts: 4

Malaudarament no ha funcionat, m'imagino que et refereixes a que m'han desactivat el tiki-install.php de totes maneres tinc els dos, el tiki-index.php i el tiki-install.php i no hi ha manera...

Si algú utilitza Fantastico per a installar programari que sàpiga que és una merda, sobre tot de cara actualitzarlo, aquesta és la primera vegada que l'utilitzo i l'última.


posts: 1777 Catalan Countries

ok, pla B, malcarada:

Baixa't una còpia de la bbdd a la teva màquina local (empres BSD?). Allà instal·les un tiki de la mateixa versió (3.2) en un servidor web estil apache + php + mysql , i puges la còpia de seguretat de la teva bbdd a una bbdd local teva. I segueixes el procés d'actualització de la bbdd en local (tiki-install.php, etc).

Més informació (si llegeixes anglès):
http://doc.tikiwiki.org/Upgrade

Després exportes la teva bbdd actualitzada local, i la importes al teu servidor.

I si tot això previ et falla, també tens el "pla C", explicat a la pàgina anterior a la secció:
"Alternative: Upgrading your database through shell"

Espero que serveixi!
(ja diràs com ho has solucionat, per saber-ho per si altre gent té problemes amb upgrades via Fantastico)


posts: 4

Bé això ja està solucionat...

Els passos que he seguit:

1) Retornar la còpia de seguretat al servidor, com a minim això Fantastico ho fa bé, et fa una còpia de seguretat per a quan ells t'ho trenquin tot.

2) Actualitzar el Wiki manualment a través d'FTP que és el que recomano a tothom i el que penso fer a partir d'ara, de vegades ésser dropo es contraproduent.

Moltes gràcies per l'ajuda prestada Xavi.


Why Register?

Register at tiki.org and you'll be able to use the account at any *.tiki.org site, thanks to the InterTiki feature. A valid email address is required to receive site notifications and occasional newsletters. You can opt out of these items at any time.